Announcing the Release of ASP.NET MVC 5.1, ASP.NET Web API 2.1 and ASP.NET Web Pages 3.1

Announcing the Release of ASP.NET MVC 5.1, ASP.NET Web API 2.1 and ASP.NET Web Pages 3.1

Rate This
  • Comments 38

The NuGet packages for ASP.NET MVC 5.1, ASP.NET Web API 2.1 and ASP.NET Web Pages 3.1 are now live on the NuGet gallery!

Download this release

You can install or update to the released NuGet packages for ASP.NET MVC 5.1, ASP.NET Web API 2.1 and ASP.NET Web Pages 3.1 using the NuGet Package Manager Console, like this:

  • Install-Package Microsoft.AspNet.Mvc -Version 5.1.0
  • Install-Package Microsoft.AspNet.WebApi -Version 5.1.0
  • Install-Package Microsoft.AspNet.WebPages -Version 3.1.0

Pre-requisites for this release

What’s in this release?

This release is packed with great new features summarized below:

ASP.NET MVC 5.1

ASP.NET Web API 2.1

ASP.NET Web Pages 3.1

You can find a complete listing of the features and fixes included in this release by referring to the corresponding release notes:

Documentation

Tutorials and other information about this release are available from the ASP.NET web site (http://www.asp.net).

Questions and feedback

You can submit related to this release on the ASP.NET forums (MVC, Web API, Web Pages). Please submit any issues you encounter and feature suggestions for future releases on our CodePlex site.

Thanks and enjoy!

Leave a Comment
  • Please add 6 and 2 and type the answer here:
  • Post
  • How can i get these types pf announcements as an alert to my mail?

  • Nice post...

  • @guy: You can subscribe to the RSS feed : blogs.msdn.com/.../rss.aspx

  • Would like to see some proper improvements to working with WebAPI, OData and DTO.

  • Hello,

    I've been following the Movies Tutorial and get "There was an error running the selected code generator: 'Value cannot be null. Parameter name: dbContextType'". Where do I start!?

    www.asp.net/.../accessing-your-models-data-from-a-controller

  • I've been following the Movies Tutorial and get "There was an error running the selected code generator: 'Value cannot be null. Parameter name: dbContextType'". Where do I start!?

    I have the same problem, even tried to start from scratch and still got the same error.

    How can I resolve this?

  • Should we change anything in area's, view's web.config? The nuget packages not upgraded these files and still get 3.0.0.0, and 5.0.0.0 entries. Is this normal?

    (Intellisense works, EnumDropdown helper is offered etc.)

  • •Install-Package Microsoft.AspNet.WebApi -Version 5.1.0 or 2.1.0

  • @Michael Blake and @Nico, please see the comments section of the www.asp.net/.../accessing-your-models-data-from-a-controller .  Look for author's answer to see if it solves the problem as seems other people met the similar problem.  You can also ask the question in the comments section of that page.  Thanks!

  • Hello.

    I use Visual Studio Express 2013 in Spanish

    to run:

    sow this message:

    Installation failed. Reversing ...

    Install-Package: Unable to update 'Microsoft.AspNet.Mvc 4.0.30506.0' a 'Microsoft.AspNet.Mvc 5.1.0'. We were unable to find versions of 'Microsoft.AspNet.Mvc.es, Microsoft.AspNet.Mvc.FixedDisplayModes'

    compatible with 'Microsoft.AspNet.Mvc 5.1.0'.

    At line: 1 Char: 1

    + Install-Package-Version 5.1.0 Microsoft.AspNet.Mvc

    + ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~

         + Categoryinfo: NotSpecified: (:) [Install-Package], InvalidOperationException

         + FullyQualifiedErrorId: NuGetCmdletUnhandledException, NuGet.PowerShell.Commands.InstallPackageCommand

  • The Microsoft.AspNet.Mvc.es package is available on nuget.org (www.nuget.org/.../Microsoft.AspNet.Mvc.es).

    The Microsoft.AspNet.Mvc.FixedDisplayModes is no longer needed and can be removed.

  • OK ... what's new in ASP.NET Web Forms for 2014?

  • You actually don't need to update your views web.config after you update the NuGet packages. Updating the NuGet packages should add binding redirects that will make sure the 5.1 version of MVC gets loaded.

  • This announcement seems to have been superseded by the release of 5.1.1 distributed through nugget. Is that correct?

    Also, is there a walkthrough for implementing a theme from bootswatch or wrapbootstrap in an MVC 5 project?

  • @ploudon, yes, it's correct that it have been superseded by the release of 5.1.1 distributed through nugget, which contains a few bug fixes.

Page 2 of 3 (38 items) 123